"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _LinkAlignedWithIcon = _interopRequireDefault(require("../../../core/LinkAlignedWithIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var arrow = function arrow(props) {
  return /*#__PURE__*/_react.default.createElement("svg", props, /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("style", null, ".cls-1", "{", "fill:#fff;", "}")), /*#__PURE__*/_react.default.createElement("title", null, "Asset 2"), /*#__PURE__*/_react.default.createElement("g", {
    id: "Layer_2",
    "'data-name'": "Layer 2"
  }, /*#__PURE__*/_react.default.createElement("g", {
    id: "Layer_1-2",
    "'data-name'": "Layer 1"
  }, /*#__PURE__*/_react.default.createElement("polygon", {
    className: "cls-1",
    points: "25.61 283.75 0 258.14 116.27 141.87 0 25.61 25.61 0 167.48 141.87 25.61 283.75"
  }))));
};

arrow.defaultProps = {
  xmlns: "http://www.w3.org/2000/svg",
  viewBox: "0 0 167.48 283.75"
};
var _default = {
  title: 'Example/LinkAlignedWithIcon',
  component: _LinkAlignedWithIcon.default
};
exports.default = _default;

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_LinkAlignedWithIcon.default, args);
};

var Link = Template.bind({});
exports.Link = Link;
Link.args = {
  text: 'Link aligned with icon',
  position: 'right',
  size: 40,
  isLinkActive: true,
  icon: arrow,
  onMouseEnter: function onMouseEnter() {},
  fontSize: 50,
  fontWeight: 400,
  textTransform: 'inherit',
  color: '#868686',
  colorOnHover: '#FFFFFF'
};